import 'package:grinder/grinder.dart';

main(final List<String> args) {
    args.forEach((final String arg) => print(arg));
    grind(args);
}

@DefaultTask('Build the project.')

@Task()
@Depends(test)
build() {
}

@Task()
clean() => defaultClean();

@Task()
@Depends(analyze,testUnit)
test() {}

@Task()
testUnit() {
    //new TestRunner().testAsync(files: "test/unit");
    new PubApp.local('test').run([]);
    // new TestRunner().testAsync(files: "test/integration");

    // Alle test mit @TestOn("content-shell") im header
    // new TestRunner().test(files: "test/unit",platformSelector: "content-shell");
    // new TestRunner().test(files: "test/integration",platformSelector: "content-shell");
}

@Task()
analyze() {
    final List<String> libs = [
        "lib/git_version.dart",
        "bin/showGitVersion.dart"
    ];

    libs.forEach((final String lib) => Analyzer.analyze(lib));
    // Analyzer.analyze("test");
}

@Task('Deploy built app.')
deploy() {
    run(sdkBin('pub'),arguments: [ "global", "activate", "--source", "path", "."]);
}
